{% extends theme("layout.html") %}

{% block css %}
    {{ super() }}
    <link rel=stylesheet type=text/css href="{{ theme_static('css/awards.css') }}">
<style>
   .h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6{
	   	font-family: sans-serif!important;
   }
</style>
{% endblock %}

{% block content %}
    <div class="divToPrint" style="padding: 20px; background-color: white; border-radius: 14px;">
        <div class="row">
            <div class="col-md-6 col-sm-8 col-xs-10">
		    <img src="{{ theme_static('img/UPSO-isologotipo.jpg') }}" id="logo" class="img-responsive" alt="Your logo"/>
            </div>
        </div>
        <div class="row">
            <div class=" col-xs-12">
                <img id="foto_url" style="height: 110px; width:auto; float: right;">
                <h3 class="name font-bold" id="nombalu"> {{ award.name }}</h3>
                <h4 class="subtitle" style="color:gray"> <span id="docudescri"></span>  <span id="docualu"></span></h4>
            </div>
            <div class=" col-xs-12">
	        <h4 class="subtitle" style="display:none"> {{ award.title }} </h4>
		<h4 class="subtitle"> Certificado Universitario </h4>
		<h4 class="subtitle"> Universidad Provincial del Sudoeste</h4>
                <h4 class="subtitle" style="display:none"> {{ award.organization }}</h4>
                <h4 class="subtitle" style="display:none">{{ award.subtitle }}</h4>
                <p class="subtitle" id="facultad" style="color:gray"></p>
                <p class="subtitle" id="sede" style="color:gray"></p>
                <br>
                <h2 class="subtitle" id="carrera" style="color:#6A081F; text-align: center"></h2>
		<p class="description font-light"> Este Certificado Universitario deja constancia que la persona en nombre ha completado sus estudios en la Universidad Provincial del Sudoeste, en la República Argentina, Provincia de Buenos Aires, con una carga horaria de <span style="font-weight: bold" id="horas_tota"></span> horas, finalizando sus estudios el <span style="font-weight: bold" id="fecha_titu"></span>. El certificado que recibe es "<span style="font-weight: bold" id="titulo"></span>" con Libro <span style="font-weight: bold" id="libro"></span>, Folio <span style="font-weight: bold" id="folio"></span>, y Número de Registro <span style="font-weight: bold" id="registro"></span>
                </p>
            </div>
        </div>
        <div class="row" style="margin-bottom:40px">
            <div class="col-xs-4 col-xs-offset-7">
                <img src="{{ award.signatureImg }}" class="img-responsive" id="signature-img" alt="Signature" style="max-height: 100px; margin-top:40px; margin-bottom:0px;" />
		<h6 class="description" style="text-align: center"> Hernán Vigier <br> Rector </h6>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-8 col-xs-12">
                <h6 class="signature-info">Este certificado fue firmado digitalmente por la <span
                        class="no-wrap">{{ award.organization }}</span> y registrado en la Blockchain de Bitcoin.</h6>
            </div>
        </div>
        <div class="row hide-on-print">
            <div class="col-md-6 col-sm-8 col-xs-12">
                <button class="btn btn-sm btn-default hide-on-print" id="verify-button" value="{{ verification_info }}" style="background-color:#6A081F; border: 1px solid #6A081F">
                    Verificar
                </button>


                <span id="verified"> <img id="verified-icon" src="{{ theme_static('img/verified.png') }}"/> Verificado </span>
                <span id="not-verified"> <img id="not-verified-icon"
                                              src="{{ theme_static('img/not-verified.png') }}"/> No Verificado</span>
            </div>
        </div>
        <div class="row hide-on-print">
            <div class="col-md-6 col-sm-8 col-xs-12">
                <h6 id="progress-msg" class="long-word output-txt"></h6>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6 col-sm-8 col-xs-12">
                <h6 class="signature-info">Issuer ID: <a href="{{ award.issuerID }}"><span
                        class="font-light long-word">{{ award.issuerID }}</span></a></h6>
                <h6 class="signature-info">Issued On: <span
                        class="font-light long-word" id="issuedOn"></span></h6>
                <h6 class="signature-info">Blockchain Transaction ID: <a target="_blank"
                                                                         href="{{ award.transactionIDURL }}"><span
                        class="font-light long-word">{{ award.transactionID }}</span></a></h6>
            </div>
        </div>
    </div>
    <div class="row" style="display: block">
        <div class="col-xs-12" style="padding-top:16px">
            <a href="" class="no-decoration" style="float:right">
                <button class="btn btn-sm btn-default hide-on-print" id="print-btn">Imprimir en PDF</button>
            </a>
        </div>
    </div>
{% endblock %}

{% block scripts %}
    <script src="/static/js/verification.js"></script>
    <script src="/static/js/print.js"></script>
    <script>
        var urlParts = window.location.href.split('/');
        var url = '/certificate/' + urlParts[[urlParts.length-1]];
        $.ajax({
            url: url,
            contentType: "application/json", // 'multipart/form-data', 'text/plain'
            type: 'GET', 
            success: function(data, status, jqXHR) { 
                console.log("response: ", data);
		if (data.foto == "0"){
			if (data.docualu == "29898233") data.foto = "2375";
			if (data.docualu == "33238549") data.foto = "5077";
			if (data.docualu == "37372636") data.foto = "2721";
			if (data.docualu == "39590513") data.foto = "4106";
			if (data.docualu == "35798399") data.foto = "2718";
			if (data.docualu == "36889945") data.foto = "5081";
			if (data.docualu == "26228176") data.foto = "5082";
		}
                document.getElementById('foto_url').src = '/_themes/upso/img/lu_00' + data.foto + '.jpg';
                document.getElementById('docudescri').innerHTML = data.docudescri;
                document.getElementById('docualu').innerHTML = data.docualu;
                document.getElementById('carrera').innerHTML = data.carrera;
                document.getElementById('facultad').innerHTML = data.nombre_dpt;
                document.getElementById('sede').innerHTML = data.nombre_sed;
                document.getElementById('issuedOn').innerHTML = data.issuedOn;
                document.getElementById('horas_tota').innerHTML = data.horas_tota;
                //document.getElementById('fecha_egre').innerHTML = data.fecha_egre;
                document.getElementById('fecha_titu').innerHTML = data.f_egreso_l;
                document.getElementById('titulo').innerHTML = data.titulo;
                document.getElementById('folio').innerHTML = data.folio;
                document.getElementById('libro').innerHTML = data.libro;
                //document.getElementById('libruni').innerHTML = data.libruni;
                //document.getElementById('oficina_en').innerHTML = data.oficina_en;
                document.getElementById('registro').innerHTML = data.registro;
		var nomb_temp = document.getElementById('nombalu');
		if (nomb_temp.innerHTML.trim() == "Maria Lujan Amalfitano")
			nomb_temp.innerHTML = "María Lujan Amalfitano";
            }
        });
    </script>
{% endblock %}

